Subject: bug#24665: 25.1; Confusing documentation of Tramp methods

From: Michael Albinus <[email-masked]>
Date: Thu, 13 Oct 2016 11:40:49 +0200

Eli Zaretskii <[email-masked]> writes:

> But in reality, Tramp says 'Unknown method "pscp-plink"'.  Using just
> "pscp" does work.
>
> So it seems like the above doesn't mean to say I should use
> "pscp-plink" literally.  But what _does_ it mean?  I didn't find any
> clues neither in the Tramp manual nor in the doc string of
> tramp-methods.

I confirm it might confuse people (though this is part of the Tramp
manual more than 15 years, longer than I am engaged with Tramp :-)

Will fix it in the master branch. The emacs-25 branch contains Tramp
2.2, which is in maintenance mode, and shall see serious bug fixes for
Tramp only.

Best regards, Michael.